import io.github.serpro69.kfaker.Faker
import model.*
import java.util.*
val faker = Faker()

fun generateUsers(count: Int):List<User> {
   val userList = mutableListOf<User>()
    repeat(count){
        userList.add(AdminUser(
            UUID.randomUUID(),
            faker.name.neutralFirstName(),
            faker.string.numerify("555")
        ))
        userList.add(ManagerUser(
            UUID.randomUUID(),
            faker.phoneNumber.phoneNumber(),
            faker.string.numerify("1010")
        ))
        userList.add(DefaultUser(
            UUID.randomUUID(),
            faker.name.neutralFirstName(),
            faker.string.numerify("555")
        ))
    }
    return userList
}
